Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.decorators
Class PickableEdgePaintFunction

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.AbstractEdgePaintFunction
          edu.uci.ics.jung.graph.decorators.PickableEdgePaintFunction

All Implemented Interfaces:
  EdgePaintFunction

public class PickableEdgePaintFunction
extends AbstractEdgePaintFunction

Paints each edge according to the `Paint` parameters given in the constructor, so that picked and non-picked edges can be made to look different.

Author:
  Tom Nelson - RABA Technologies, Joshua O'Madadhain

Field Summary
`protected Paint` | `draw_paint`
`protected PickedInfo` | `pi`
`protected Paint` | `picked_paint`

Fields inherited from interface edu.uci.ics.jung.graph.decorators.EdgePaintFunction
`TRANSPARENT`

Constructor Summary
`PickableEdgePaintFunction(PickedInfo pi, Paint draw_paint, Paint picked_paint)`

Method Summary
`Paint` | `getDrawPaint(Edge e)`

Methods inherited from class edu.uci.ics.jung.graph.decorators.AbstractEdgePaintFunction
`getFillPaint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pi

    protected PickedInfo pi

### draw_paint

    protected Paint draw_paint

### picked_paint

    protected Paint picked_paint

Constructor Detail

### PickableEdgePaintFunction

    public PickableEdgePaintFunction(PickedInfo pi,
                                     Paint draw_paint,
                                     Paint picked_paint)

Parameters:
  `pi` - specifies which vertices report as "picked"
  `draw_paint` - `Paint` used to draw edge shapes
  `picked_paint` - `Paint` used to draw picked edge shapes

Method Detail

### getDrawPaint

    public Paint getDrawPaint(Edge e)

  See Also:
    `EdgePaintFunction.getDrawPaint(edu.uci.ics.jung.graph.Edge)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD